#!/bin/bash

if [ -z ${CROSS_COMPILE} ]; then
    export CROSS_COMPILE="armv7a-mediatek482_001_vfp-linux-gnueabi-"
fi

if [ -z ${OSS_HOST} ]; then
    export OSS_HOST="armv7a-mediatek482_001_vfp-linux-gnueabi"
fi

if [ -z ${TAR_INSTALL_PATH} ]; then
    export TAR_INSTALL_PATH="$(pwd)/library"
fi

export CC="${CROSS_COMPILE}gcc"
export LD=${CROSS_COMPILE}ld
export AR=${CROSS_COMPILE}ar
export AS=${CROSS_COMPILE}as
export CXX="${CROSS_COMPILE}g++"
export RANLIB=${CROSS_COMPILE}ranlib
export STRIP=${CROSS_COMPILE}strip

tar -jxvf mongoose-2.11.tar.bz2
cd mongoose
make linux

cd ..
mkdir -p library/mongoose/lib
mkdir -p library/mongoose/bin
cp mongoose/mongoose library/mongoose/bin
cp mongoose/_mongoose.so library/mongoose/lib

echo "Build Mongoose success"
